WAKATODOCS

Bookings

GET
/bookings

Required scope: pages:read

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Query Parameters

booking_page_id?string
status?string
upcoming_only?boolean
from?string

ISO datetime

to?string

ISO datetime

search?string

Guest name or email

limit?integer

Response Body

application/json

{}
POST
/bookings/{id}/cancel

Required scope: pages:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

{}
POST
/bookings/{id}/reschedule

Required scope: pages:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

{}